Method
POST /v1/departures
Body Parameters
Headers
string
Bearer token (e.g.
Authorization: Bearer YOUR_API_KEY)string
application/jsonRequest Example
curl -X POST https://api.voyantcloud.com/v1/departures \
-H "Authorization: Bearer $VOYANT_API_KEY" \
-H "content-type: application/json" \
-d '{
"productId": "prod_123",
"startAt": "2025-06-01T08:00:00Z",
"endAt": "2025-06-05T18:00:00Z",
"capacity": 24,
"status": "scheduled",
"meetingPoint": { "name": "Athens Marina" }
}'
await fetch("https://api.voyantcloud.com/v1/departures", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.VOYANT_API_KEY}`,
"content-type": "application/json",
},
body: JSON.stringify({
productId: "prod_123",
startAt: "2025-06-01T08:00:00Z",
capacity: 24,
status: "scheduled",
attributes: { channel: "summer" },
}),
})
import os, requests
payload = {
"productId": "prod_123",
"startAt": "2025-06-01T08:00:00Z",
"status": "planned",
"capacity": 12,
}
resp = requests.post(
"https://api.voyantcloud.com/v1/departures",
headers={
"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}",
"content-type": "application/json",
},
json=payload,
)
created = resp.json()
Response
{
"data": {
"id": "dep_456",
"productId": "prod_123",
"startAt": "2025-06-01T08:00:00.000Z",
"endAt": "2025-06-05T18:00:00.000Z",
"capacity": 24,
"status": "scheduled",
"meetingPoint": { "name": "Athens Marina" },
"transportModeId": null,
"transportConfigId": null,
"itineraryId": null,
"itineraryVersionId": null,
"shipId": null,
"isDirectionReverse": false,
"externalCodes": null,
"attributes": {},
"createdAt": "2025-02-20T12:34:56.000Z"
}
}